import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'classify_photo_method_channel.dart';

abstract class ClassifyPhotoPlatform extends PlatformInterface {
  /// Constructs a ClassifyPhotoPlatform.
  ClassifyPhotoPlatform() : super(token: _token);

  static final Object _token = Object();

  static ClassifyPhotoPlatform _instance = MethodChannelClassifyPhoto();

  /// The default instance of [ClassifyPhotoPlatform] to use.
  ///
  /// Defaults to [MethodChannelClassifyPhoto].
  static ClassifyPhotoPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ClassifyPhotoPlatform] when
  /// they register themselves.
  static set instance(ClassifyPhotoPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<List<Map<String, dynamic>>?> getPhoto() {
    throw UnimplementedError('getPhoto() has not been implemented.');
  }
}
